summaryrefslogtreecommitdiffstats
path: root/desktop/root-tail/root-tail.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/root-tail/root-tail.SlackBuild')
-rw-r--r--desktop/root-tail/root-tail.SlackBuild15
1 files changed, 5 insertions, 10 deletions
diff --git a/desktop/root-tail/root-tail.SlackBuild b/desktop/root-tail/root-tail.SlackBuild
index 3aedad800f..90a4fb0cd1 100644
--- a/desktop/root-tail/root-tail.SlackBuild
+++ b/desktop/root-tail/root-tail.SlackBuild
@@ -9,12 +9,10 @@ VERSION=${VERSION:-1.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -56,16 +54,13 @@ find . \
xmkmf -a
make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
make DESTDIR=$PKG install
-# the makefile wants the man pages mode to be 444
-make DESTDIR=$PKG INSTMANFLAGS="-m 0644" install.man
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF |
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l); do ln -s $(readlink $i).gz $i.gz; rm $i; done
-)
+# the makefile wants the man pages mode to be 444
+make DESTDIR=$PKG INSTMANFLAGS="-m 0644" install.man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a [CR]* $PKG/usr/doc/$PRGNAM-$VERSION